/* css toggle btn */
/* ------------------------------ */

/* example mark up */
/* <div class="btn-top-toggle angle-toggle"> */
/* <span></span> */
/* <span></span> */
/* </div> */

.btn-top-toggle {
    width: 50px;
    height: 50px;
    position: relative;
}

.angle-up span,
.angle-down span,
.angle-left span,
.angle-right span,
.angle-toggle span {
    height: 4px;
    display: block;
    background: #fff;
    position: absolute;
    border-radius: 1px;
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

/* angle arrow */

.angle-up span,
.angle-down span,
.angle-left span,
.angle-right span {
    width: 14px;
}

.angle-right span:nth-child(1),
.angle-left.active span:nth-child(1) {
    top: calc(50% - 2px - 4px);
    left: calc(50% - 7px);
    transform: rotate(45deg);
}

.angle-right span:nth-child(2),
.angle-left.active span:nth-child(2) {
    top: calc(50% - 2px + 4px);
    left: calc(50% - 7px);
    transform: rotate(-45deg);
}

.angle-left span:nth-child(1),
.angle-right.active span:nth-child(1) {
    top: calc(50% - 2px - 4px);
    left: calc(50% - 7px);
    transform: rotate(-45deg);
}

.angle-left span:nth-child(2),
.angle-right.active span:nth-child(2) {
    top: calc(50% - 2px + 4px);
    left: calc(50% - 7px);
    transform: rotate(45deg);
}

.angle-up span:nth-child(1),
.angle-down.active span:nth-child(1) {
    top: calc(50% - 2px);
    left: calc(50% - 7px + 4px);
    transform: rotate(45deg);
}

.angle-up span:nth-child(2),
.angle-down.active span:nth-child(2) {
    top: calc(50% - 2px);
    left: calc(50% - 7px - 4px);
    transform: rotate(-45deg);
}

.angle-down span:nth-child(1),
.angle-up.active span:nth-child(1) {
    top: calc(50% - 2px);
    left: calc(50% - 7px + 4px);
    transform: rotate(-45deg);
}

.angle-down span:nth-child(2),
.angle-up.active span:nth-child(2) {
    top: calc(50% - 2px);
    left: calc(50% - 7px - 4px);
    transform: rotate(45deg);
}

/* angle toggle */

.angle-toggle span {
    width: 20px;
}

.angle-toggle span:nth-child(1) {
    top: calc(40% - 2px );
    left: calc(50% - 10px);
}

.angle-toggle span:nth-child(2) {
    top: calc(60% - 2px);
    left: calc(50% - 10px);
}

.angle-toggle.active span:nth-child(1) {
    top: calc(50% - 2px);
    transform: rotate(-45deg);
}

.angle-toggle.active span:nth-child(2) {
    top: calc(50% - 2px);
    transform: rotate(45deg);
}

/* ad-mrkang@naver.com */